Organization API: Customer Portal: Profile
The 1 Organization API operations for profile.
Part of Customer Portal.
Operations
Section titled Operations| Method | Path | Summary |
|---|---|---|
| PATCH | /api/v1/orgs/{org_slug}/portal/profile |
Alias for PATCH /auth/me (account page compatibility) |
Alias for PATCH /auth/me (account page compatibility)
Section titled Alias for PATCH /auth/me (account page compatibility)PATCH /api/v1/orgs/{org_slug}/portal/profile
Alias for PATCH /auth/me (account page compatibility).
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
org_slug |
path | string | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
first_name |
string or null | no |
last_name |
string or null | no |
chat_handle |
string or null | no |
company |
string or null | no |
phone |
string or null | no |
password |
string or null | no |
current_password |
string or null | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |